#!/bin/echo

# Version 0.1

function check_environment {
#Find the mp3gain executable
MP3GAIN=`which mp3gain`
if [[ $? != 0 ]]; then
    echo "mp3gain executable not found." >&2
    exit 1
fi

#Find the eyeD3 executable
EYED3=`which eyeD3`
if [[ $? != 0 ]]; then
    echo "eyeD3 executable not found." >&2
    exit 1
fi

# Check if we can change the working directory to the specified directory
if ! pushd "$1"
then
    echo `basename $0`: Directory change failed. Aborting.
    exit 1
fi
}

